



:root {
  --switches-bg-color: #f0f0f0;
  --switches-label-color: #545454;
  --switch-bg-color: white;
  --switch-text-color: #282828;
  --switch-icon-active: #f22010;
}

.menu_item_for_switch {
  position: relative;
  text-align: center;
  z-index: 9999;
}

button#openSwitchbottom {
  display: flex;
  align-items: center;
  gap: 8px;
  border: 0;
  padding: 0;
}

button#openSwitchbottom img,
button#openSwitchbottom p {
  margin: 0;
}

#openSwitchbottom:focus {
  background: unset;
  color: inherit;
  border: 0;
  outline: none;
}

#openSwitchbottom p {
  font-size: 14px !important;
  line-height: 20px !important;
  color: #676767 !important;
  font-weight: 400 !important;
  font-family: "Roboto";
}

#openSwitchbottom:hover {
  background: unset;
}

.lan-country-container {
  padding: 1rem 0;
  position: absolute;
  display: none;
  transition: max-height 0.5s ease-out, display 0.5s ease-out;
  right: -100%;
  top: 2rem;
  background-color: #fff;
  box-shadow: 0px 2px 4px 0px rgba(201, 201, 201, 0.78);
  -webkit-box-shadow: 0px 2px 4px 0px rgba(201, 201, 201, 0.78);
  -moz-box-shadow: 0px 2px 4px 0px rgba(201, 201, 201, 0.78);
  border-radius: 32px;
}

.lan-country-container.open {
  display: block;
  z-index: 9999;
}

.lan-country-container.open {
  animation: slideDown 0.5s ease-out forwards;
}

.lan-country-container.closing {
  animation: slideUp 0.5s ease-out forwards;
  display: block; /* Maintain block display during closing animation */
}

@keyframes slideDown {
  from {
    transform: translateY(0);
  }
  to {
    transform: translateY(100px);
  }
}

@keyframes slideUp {
  from {
    transform: translateY(100px);
  }
  to {
    transform: translateY(0);
  }
}

.switches-container {
  width: 16rem;
  position: relative;
  display: flex;
  padding: 0;
  background: var(--switches-bg-color);
  line-height: 3rem;
  border-radius: 3rem;
  z-index: 9999;
  margin: 0 auto;
  position: absolute;
  left: 0;
  right: 0;
}

.switches-container input {
  visibility: hidden;
  position: absolute;
  top: 0;
}

.switches-container label {
  width: 50%;
  padding: 0;
  margin: 0;
  text-align: center;
  cursor: pointer;
  color: var(--switches-label-color);
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 12px;
  font-weight: 500 !important;
  font-family: "Roboto";
  gap: 8px;
}

.switch-wrapper {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 50%;
  padding: 0.15rem;
  z-index: 3;
  transition: transform 0.5s cubic-bezier(0.77, 0, 0.175, 1);
}

.switch {
  border-radius: 3rem;
  background: var(--switch-bg-color);
  height: 100%;
}

.switch span {
  width: 100%;
  text-align: center;
  opacity: 0;
  display: block;
  color: var(--switch-text-color);
  transition: opacity 0.2s cubic-bezier(0.77, 0, 0.175, 1) 0.125s;
  will-change: opacity;
  position: absolute;
  top: 0;
  left: 0;
  font-size: 12px;
  font-weight: 500 !important;
  font-family: "Roboto";
  gap: 8px;
}

.switch span svg {
  margin: 0 6px -2px;
}

.switches-container input:nth-of-type(1):checked ~ .switch-wrapper {
  transform: translateX(0%);
}

.switches-container input:nth-of-type(2):checked ~ .switch-wrapper {
  transform: translateX(100%);
}

.switches-container
  input:nth-of-type(1):checked
  ~ .switch-wrapper
  .switch
  span:nth-of-type(1) {
  opacity: 1;
}

.switches-container
  input:nth-of-type(2):checked
  ~ .switch-wrapper
  .switch
  span:nth-of-type(2) {
  opacity: 1;
}

.switches-container input:checked ~ .switch-wrapper .switch span svg path {
  stroke: var(--switch-icon-active);
}

.country-language-content {
  display: none;
  position: relative;
  z-index: 1000;
}

/*Countries*/
.country-container-x {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0;
  place-content: center;
  padding: 20px;
}

.country-single {
  display: flex;
  align-items: center;
  gap: 12px;
  text-align: center;
  padding: 10px;
  border-radius: 8px;
  transition: transform 0.3s ease-in-out;
  cursor: pointer;
  padding-left: 20px;
  padding-right: 20px;
}

.country-single:hover {
  transform: scale(1.05);
  background-color: #f9f9f9;
}

.country-single img {
  width: 20px;
  height: auto;
}

.country-single p,
.language-container-x .gtranslate_wrapper a span {
  font-size: 14px !important;
  line-height: 20px !important;
  color: #282828;
  text-wrap: nowrap;
  margin: 0 !important;
  font-family: "Roboto", sans-serif;
}

.country-container-x,
.language-container-x {
  margin: auto;
  padding-top: 80px;
}

/*Languages*/
.language-container-x {
  padding: 20px;
}

.language-container-x .gtranslate_wrapper {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 0;
  padding: 70px 20px 20px 20px;
}

.language-container-x .gtranslate_wrapper .glink {
  display: flex;
  align-items: center;
  gap: 12px;
  text-align: center;
  width: max-content;
  padding: 10px;
  border-radius: 8px;
  transition: transform 0.3s ease-in-out;
  cursor: pointer;
  padding-left: 20px;
  padding-right: 20px;
}

.language-container-x .gtranslate_wrapper .glink:hover {
  transform: scale(1.05);
  background-color: #f9f9f9;
}
